package com.zfire.jiasm.syncdata.download.other.refunds;

import lombok.extern.slf4j.Slf4j;

/**  未上线 新做的接口
 * 过程反馈
 */
@Slf4j
// @Component
public class Feedback {
    /*
    @Resource
    TblAddUploadListService tblAddUploadListService;
    @Resource
    OtherDownService otherDownService;


    @Scheduled(fixedDelayString = "${thfk}")
    public void refresh(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        log.info("开始过程反馈: \uF0B7{}",sdf.format(new Date()));
        // 提取家用特殊安装工单需要新增的数据
        List<TblAddUploadList> taus = tblAddUploadListService.lambdaQuery()
                .eq(TblAddUploadList::getType, 6)
                .eq(TblAddUploadList::getSynStatus, 0).list();
        for (TblAddUploadList item : taus) {
            try{
                otherDownService.feedback(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("过程反馈【" + item.getTabName() +"】失败");
            }
        }
        log.info("过程反馈结束: \uF0B7{}",sdf.format(new Date()));
    }
    */
}
